<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.CameraExtensions Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_camera_extensions.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_tri_lib_1_1_camera_extensions-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.CameraExtensions Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a series of UnityEngine.Camera extension methods.  
 <a href="class_tri_lib_1_1_camera_extensions.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a80ecf700a81078288cb3891615b62ba6"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_camera_extensions.html#a80ecf700a81078288cb3891615b62ba6">FitToBounds</a> (this Camera camera, Transform transform, float distance)</td></tr>
<tr class="memdesc:a80ecf700a81078288cb3891615b62ba6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frames the UnityEngine.Camera to encapsulate the UnityEngine.Transform child bounds.  <a href="class_tri_lib_1_1_camera_extensions.html#a80ecf700a81078288cb3891615b62ba6">More...</a><br /></td></tr>
<tr class="separator:a80ecf700a81078288cb3891615b62ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a series of UnityEngine.Camera extension methods. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a80ecf700a81078288cb3891615b62ba6" name="a80ecf700a81078288cb3891615b62ba6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80ecf700a81078288cb3891615b62ba6">&#9670;&nbsp;</a></span>FitToBounds()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void TriLib.CameraExtensions.FitToBounds </td>
          <td>(</td>
          <td class="paramtype">this Camera&#160;</td>
          <td class="paramname"><em>camera</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Transform&#160;</td>
          <td class="paramname"><em>transform</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Frames the UnityEngine.Camera to encapsulate the UnityEngine.Transform child bounds. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">camera</td><td>UnityEngine.Camera that will frame the transform.</td></tr>
    <tr><td class="paramname">transform</td><td>UnityEngine.Transform that will be framed.</td></tr>
    <tr><td class="paramname">distance</td><td>Distance from the transform to place the camera.</td></tr>
  </table>
  </dd>
</dl>
<div class="fragment"><div class="line"><span class="keyword">protected</span> <span class="keywordtype">void</span> Awake() {</div>
<div class="line">    GameObject myGameObject;</div>
<div class="line">    <span class="keywordflow">try</span> {</div>
<div class="line">        <span class="keyword">using</span> (var assetLoader = <span class="keyword">new</span> AssetLoader()) {</div>
<div class="line">            gameObject = assetLoader.LoadFromFile(<span class="stringliteral">&quot;mymodel.fbx&quot;</span>);</div>
<div class="line">        }</div>
<div class="line">    } <span class="keywordflow">catch</span> (Exception e) {</div>
<div class="line">        <a class="code" href="_asset_loader_window_8cs.html#a0100be52d45f14348918ea69ec09f959">Debug</a>.LogFormat(<span class="stringliteral">&quot;Unable to load myModel.fbx. The loader returned: {0}&quot;</span>, e);</div>
<div class="line">    }</div>
<div class="line">    <span class="comment">//Frames &quot;myGameObject&quot; with the main camera at 2 units of distance</span></div>
<div class="line">    Camera.Main.FitToBounds(myGameObject.transform, 2f);</div>
<div class="line">}</div>
<div class="ttc" id="a_asset_loader_window_8cs_html_a0100be52d45f14348918ea69ec09f959"><div class="ttname"><a href="_asset_loader_window_8cs.html#a0100be52d45f14348918ea69ec09f959">Debug</a></div><div class="ttdeci">UnityEngine.Debug Debug</div><div class="ttdef"><b>Definition:</b> AssetLoaderWindow.cs:6</div></div>
</div><!-- fragment --> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/Extensions/<a class="el" href="_camera_extensions_8cs.html">CameraExtensions.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_camera_extensions.html">CameraExtensions</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
